Name:        fira-code-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/FiraCode.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 FiraCodeNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/FiraCodeNerdFont-Bold.ttf
install -Dm644 FiraCodeNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/FiraCodeNerdFontMono-Bold.ttf
install -Dm644 FiraCodeNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/FiraCodeNerdFontPropo-Bold.ttf
install -Dm644 FiraCodeNerdFont-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/FiraCodeNerdFont-Light.ttf
install -Dm644 FiraCodeNerdFontMono-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/FiraCodeNerdFontMono-Light.ttf
install -Dm644 FiraCodeNerdFontPropo-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/FiraCodeNerdFontPropo-Light.ttf
install -Dm644 FiraCodeNerdFont-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/FiraCodeNerdFont-Medium.ttf
install -Dm644 FiraCodeNerdFontMono-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/FiraCodeNerdFontMono-Medium.ttf
install -Dm644 FiraCodeNerdFontPropo-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/FiraCodeNerdFontPropo-Medium.ttf
install -Dm644 FiraCodeNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/FiraCodeNerdFont-Regular.ttf
install -Dm644 FiraCodeNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/FiraCodeNerdFontMono-Regular.ttf
install -Dm644 FiraCodeNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/FiraCodeNerdFontPropo-Regular.ttf
install -Dm644 FiraCodeNerdFont-Retina.ttf %{buildroot}%{_datadir}/fonts/%{name}/FiraCodeNerdFont-Retina.ttf
install -Dm644 FiraCodeNerdFontMono-Retina.ttf %{buildroot}%{_datadir}/fonts/%{name}/FiraCodeNerdFontMono-Retina.ttf
install -Dm644 FiraCodeNerdFontPropo-Retina.ttf %{buildroot}%{_datadir}/fonts/%{name}/FiraCodeNerdFontPropo-Retina.ttf
install -Dm644 FiraCodeNerdFont-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/FiraCodeNerdFont-SemiBold.ttf
install -Dm644 FiraCodeNerdFontMono-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/FiraCodeNerdFontMono-SemiBold.ttf
install -Dm644 FiraCodeNerdFontPropo-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/FiraCodeNerdFontPropo-SemiBold.ttf

%files

%{_datadir}/fonts/%{name}/FiraCodeNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/FiraCodeNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/FiraCodeNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/FiraCodeNerdFont-Light.ttf
%{_datadir}/fonts/%{name}/FiraCodeNerdFontMono-Light.ttf
%{_datadir}/fonts/%{name}/FiraCodeNerdFontPropo-Light.ttf
%{_datadir}/fonts/%{name}/FiraCodeNerdFont-Medium.ttf
%{_datadir}/fonts/%{name}/FiraCodeNerdFontMono-Medium.ttf
%{_datadir}/fonts/%{name}/FiraCodeNerdFontPropo-Medium.ttf
%{_datadir}/fonts/%{name}/FiraCodeNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/FiraCodeNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/FiraCodeNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/FiraCodeNerdFont-Retina.ttf
%{_datadir}/fonts/%{name}/FiraCodeNerdFontMono-Retina.ttf
%{_datadir}/fonts/%{name}/FiraCodeNerdFontPropo-Retina.ttf
%{_datadir}/fonts/%{name}/FiraCodeNerdFont-SemiBold.ttf
%{_datadir}/fonts/%{name}/FiraCodeNerdFontMono-SemiBold.ttf
%{_datadir}/fonts/%{name}/FiraCodeNerdFontPropo-SemiBold.ttf
%license "LICENSE"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
